CLA_SCRATCHPAD_SIZE = 0x100;
--undef_sym=__cla_scratchpad_end
--undef_sym=__cla_scratchpad_start

MEMORY
{
   /* BEGIN is used for the "boot to Flash" bootloader mode   */
   BEGIN            : origin = 0x080000, length = 0x000002
   BOOT_RSVD        : origin = 0x000002, length = 0x0001AF     /* Part of M0, BOOT rom will use this for stack */
   RAMM0            : origin = 0x0001B1, length = 0x00024F
   RAMM1            : origin = 0x000400, length = 0x0003F8     /* on-chip RAM block M1 */
//   RAMM1_RSVD       : origin = 0x0007F8, length = 0x000008     /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */
   RAMD0            : origin = 0x00C000, length = 0x000800
   RAMD1            : origin = 0x00C800, length = 0x000800

	RAMLS0_1_2		: origin = 0x008000, length = 0x001800
	RAMLS3           : origin = 0x009800, length = 0x000800
   RAMLS4_5_6_7           : origin = 0x00A000, length = 0x002000

   RAMGS0           : origin = 0x00D000, length = 0x001000
   RAMGS1           : origin = 0x00E000, length = 0x001000
   RAMGS2           : origin = 0x00F000, length = 0x001000

   RAMGS3_P00    : origin = 0x010000, length = 0x000100
   RAMGS3_P01    : origin = 0x010100, length = 0x000100
   RAMGS3_P02    : origin = 0x010200, length = 0x000100
   RAMGS3_P03    : origin = 0x010300, length = 0x000100
   RAMGS3_P04    : origin = 0x010400, length = 0x000100
   RAMGS3_P05    : origin = 0x010500, length = 0x000100
   RAMGS3_P06    : origin = 0x010600, length = 0x000100

   RAMGS3           : origin = 0x010A00, length = 0x000600

   RAMGS4_PM00    : origin = 0x011000, length = 0x000080
   RAMGS4_PM01    : origin = 0x011080, length = 0x000080
   RAMGS4_PM02    : origin = 0x011100, length = 0x000080
   RAMGS4_PM03    : origin = 0x011180, length = 0x000080
   RAMGS4_PM04    : origin = 0x011200, length = 0x000080
   RAMGS4_PM05    : origin = 0x011280, length = 0x000080
   RAMGS4_PM06    : origin = 0x011300, length = 0x000080

   RAMGS4_OBJ00    : origin = 0x011400, length = 0x000010
   RAMGS4_OBJ01    : origin = 0x011410, length = 0x000010
   RAMGS4_OBJ02    : origin = 0x011420, length = 0x000010
   RAMGS4_OBJ03    : origin = 0x011430, length = 0x000010
   RAMGS4_OBJ04    : origin = 0x011440, length = 0x000010
   RAMGS4_OBJ05    : origin = 0x011450, length = 0x000010
   RAMGS4_OBJ06    : origin = 0x011460, length = 0x000010

   RAMGS4           : origin = 0x011470, length = 0x000B90

//   RAMGS5           : origin = 0x012000, length = 0x006000
   RAMGS5_AXIS4		: origin = 0x012000, length = 0x00F00
   RAMGS5_AXIS5		: origin = 0x012F00, length = 0x00F00
   RAMGS5_AXIS6		: origin = 0x013E00, length = 0x00F00
   RAMGS5					: origin = 0x014D00, length = 0x00300

   RAMGS6_AXIS1		: origin = 0x015000, length = 0x00F00
   RAMGS6_AXIS2		: origin = 0x015F00, length = 0x00F00
   RAMGS6_AXIS3		: origin = 0x016E00, length = 0x00F00
   RAMGS6					: origin = 0x017D00, length = 0x00300

   RAMGS11          : origin = 0x018000, length = 0x001000
   RAMGS12          : origin = 0x019000, length = 0x001000
   RAMGS13          : origin = 0x01A000, length = 0x001000
   RAMGS14          : origin = 0x01B000, length = 0x001000
   RAMGS15          : origin = 0x01C000, length = 0x000FF8
//   RAMGS15_RSVD     : origin = 0x01CFF8, length = 0x000008     /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */

   /* Flash sectors */
   FLASH0           : origin = 0x080002, length = 0x001FFE  /* on-chip Flash */
   FLASH1           : origin = 0x082000, length = 0x002000  /* on-chip Flash */
   FLASH2           : origin = 0x084000, length = 0x002000  /* on-chip Flash */
   FLASH3           : origin = 0x086000, length = 0x002000  /* on-chip Flash */
   FLASH4           : origin = 0x088000, length = 0x008000  /* on-chip Flash */
   FLASH5           : origin = 0x090000, length = 0x008000  /* on-chip Flash */
   FLASH6           : origin = 0x098000, length = 0x008000  /* on-chip Flash */
   FLASH7           : origin = 0x0A0000, length = 0x008000  /* on-chip Flash */
   FLASH8           : origin = 0x0A8000, length = 0x008000  /* on-chip Flash */
   FLASH9           : origin = 0x0B0000, length = 0x008000  /* on-chip Flash */
   FLASH10          : origin = 0x0B8000, length = 0x002000  /* on-chip Flash */
   FLASH11          : origin = 0x0BA000, length = 0x002000  /* on-chip Flash */
   FLASH12          : origin = 0x0BC000, length = 0x002000  /* on-chip Flash */
   FLASH13          : origin = 0x0BE000, length = 0x001FF0  /* on-chip Flash */
//   FLASH13_RSVD     : origin = 0x0BFFF0, length = 0x000010  /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */

   CPU1TOCPU2RAM   : origin = 0x03A000, length = 0x000800
   CPU2TOCPU1RAM   : origin = 0x03B000, length = 0x000800

   CPUTOCMRAM      : origin = 0x039000, length = 0x000400
   CPUTOCMRAM1    : origin = 0x039400, length = 0x000400

   CMTOCPURAM      : origin = 0x038000, length = 0x000400
   CMTOCPURAM1    : origin = 0x038400, length = 0x000400

   CANA_MSG_RAM     : origin = 0x049000, length = 0x000800
   CANB_MSG_RAM     : origin = 0x04B000, length = 0x000800

   RESET            : origin = 0x3FFFC0, length = 0x000002

   CLA1_MSGRAMLOW   : origin = 0x001480,   length = 0x000080
   CLA1_MSGRAMHIGH  : origin = 0x001500,   length = 0x000080
   CLA1_DMA_MSGRAM  : origin = 0x001680,   length = 0x000080
   DMA_CLA1_MSGRAM  : origin = 0x001700,   length = 0x000080
}

SECTIONS
{
   codestart           : > BEGIN, ALIGN(8)
   .text               : >> FLASH1 | FLASH2 | FLASH3 | FLASH4, ALIGN(8)
   .cinit              : > FLASH1 | FLASH6, ALIGN(8)

   .switch             : > FLASH1, ALIGN(8)
   .reset              : > RESET, TYPE = DSECT /* not used, */
   .stack              : > RAMM1

#if defined(__TI_EABI__)
   .init_array      : > FLASH1, ALIGN(8)
   .bss             : > RAMLS0_1_2
   .bss:output      : > RAMLS0_1_2
   .data            : > RAMLS0_1_2
   .sysmem          : > RAMLS0_1_2
   /* Initalized sections go in Flash */
   .const           : > FLASH5, ALIGN(8)
#else
   .pinit           : > FLASH1, ALIGN(8)
   .ebss            : > RAMLS0_1_2
   .esysmem         : > RAMLS0_1_2

   /* Initalized sections go in Flash */
   .econst          : >> FLASH4 | FLASH5, ALIGN(8)
#endif

   MSGRAM_CPU1_TO_CPU2 : > CPU1TOCPU2RAM,		type=NOINIT
   MSGRAM_CPU2_TO_CPU1 : > CPU2TOCPU1RAM,		type=NOINIT
   MSGRAM_CPU_TO_CM    : > CPUTOCMRAM, type=NOINIT
   MSGRAM_CM_TO_CPU    : > CMTOCPURAM, type=NOINIT

   MSGRAM_CPU_TO_CM_U    : > CPUTOCMRAM1, type=NOINIT
   MSGRAM_CM_TO_CPU_U    : > CMTOCPURAM1, type=NOINIT

   dclfuncs : > FLASH1, ALIGN(8)


    /* CLA specific sections */
#if defined(__TI_EABI__)
   Cla1Prog         :   LOAD = FLASH4,
                        RUN = RAMLS4_5_6_7,
                        LOAD_START(Cla1funcsLoadStart),
                        LOAD_END(Cla1funcsLoadEnd),
                        RUN_START(Cla1funcsRunStart),
                        LOAD_SIZE(Cla1funcsLoadSize),
                        ALIGN(8)
#else
   Cla1Prog         :   LOAD = FLASH4,
					    RUN = RAMLS4_5_6_7,
                        LOAD_START(_Cla1funcsLoadStart),
                        LOAD_END(_Cla1funcsLoadEnd),
                        RUN_START(_Cla1funcsRunStart),
                        LOAD_SIZE(_Cla1funcsLoadSize),
                        ALIGN(8)
#endif

   CLADataLS0       : > RAMLS3
   CLADataLS1       : > RAMLS3

   Cla1ToCpuMsgRAM  : > CLA1_MSGRAMLOW	, type=NOINIT
   CpuToCla1MsgRAM  : > CLA1_MSGRAMHIGH	, type=NOINIT
   Cla1ToDmaMsgRAM  : > CLA1_DMA_MSGRAM, type=NOINIT
   DmaToCla1MsgRAM  : > DMA_CLA1_MSGRAM, type=NOINIT

   Cla1DataRam      : >> RAMLS3

   SHARERAMGS5_VAR          : > RAMGS5
   SHARERAMGS6_VAR          : > RAMGS6

   GSRAM1_TEST	 : > RAMGS1

   DataBufferSection : > RAMM0, ALIGN(8)

   /* CLA C compiler sections */
   //
   // Must be allocated to memory the CLA has write access to
   //
   CLAscratch       :
                     { *.obj(CLAscratch)
                     . += CLA_SCRATCHPAD_SIZE;
                     *.obj(CLAscratch_end) } >  RAMLS3

   .scratchpad      : > RAMLS3
   .bss_cla         : > RAMLS3
   cla_shared       : >>RAMLS3

#if defined(__TI_EABI__)
   .const_cla       :   LOAD = FLASH2,
                        RUN = RAMLS3,	//RAMLS1,
                        RUN_START(Cla1ConstRunStart),
                        LOAD_START(Cla1ConstLoadStart),
                        LOAD_SIZE(Cla1ConstLoadSize)
#else
   .const_cla       :   LOAD = FLASH2,
                        RUN = RAMLS3,	//RAMLS1,
                        RUN_START(_Cla1ConstRunStart),
                        LOAD_START(_Cla1ConstLoadStart),
                        LOAD_SIZE(_Cla1ConstLoadSize)
#endif

      GROUP
   {
	   .TI.ramfunc
	   { -l F2838x_C28x_FlashAPI.lib}

   } LOAD = FLASH3,
	 RUN = RAMLS4_5_6_7,
	 LOAD_START(RamfuncsLoadStart),
	 LOAD_SIZE(RamfuncsLoadSize),
	 LOAD_END(RamfuncsLoadEnd),
	 RUN_START(RamfuncsRunStart),
	 RUN_SIZE(RamfuncsRunSize),
	 RUN_END(RamfuncsRunEnd),
	 ALIGN(8)

/* Allocate IQ math areas: */
   IQmath			: > FLASH1, PAGE = 0, ALIGN(8)            /* Math Code */
   IQmathTables		: > FLASH2, PAGE = 0, ALIGN(8)

}

/*
//===========================================================================
// End of file.
//===========================================================================
*/
